@import url('https://fonts.googleapis.com/css2?family=Krona+One&family=Montserrat:wght@400;600&display=swap');

:root {
    --main-bg-color: #FBFBF6;
    --text-color: #555;
    --primary-emphasis-color: #22d4fd;
    --secondary-emphasis-color: #FF33D1;
    --hover-color: #F0F0F0;
    --secondary-hover-color: #D8D8CF;
    --theme-color: #FDFDFA;
    --theme-bg-color: #999999;

    --primary-font: 'Krona One', sans-serif;
    --secundary-font: 'Montserrat', sans-serif;
}

.dark-mode:root {
    --main-bg-color: #100F1E;
    --text-color: #D8D8CF;
    --primary-emphasis-color: #22d4fd;
    --secondary-emphasis-color: #FF33D1;
    --hover-color: #15142E;
    --secondary-hover-color: #191839;
    --theme-color: #080715;
    --theme-bg-color: #D8D8CF;

    --primary-font: 'Krona One', sans-serif;
    --secundary-font: 'Montserrat', sans-serif;
}

* {
    margin: 0;
    padding: 0;
}

.header__theme {
    display: flex;
    justify-content: flex-end;
}

.theme-slider {
    position: absolute;
    width: 70px;
    height: 35px;
    background-color: var(--theme-bg-color);
    border-radius: 150px;
    cursor: pointer;
    margin-right: 15%;
}

.theme-text {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: 30px;
    font-size: 13px;
    font-weight: bolder;
    color: var(--theme-color);
    transition: 0.25s ease-in-out;
    font-family: var(--secundary-font);
}

.theme-icon {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: 5px;
    width: 20px;
    height: 20px;
    background-color: transparent;
    border-radius: 50%;
    transition: 0.25s ease-in-out;
}

.theme-icon svg {
    fill: var(--theme-color);
}

.theme-slider.active .theme-icon {
    left: 35px;
    width: 20px;
    height: 20px;
}

body {
    box-sizing: border-box;
    background-color: var(--main-bg-color);
    color: var(--text-color);
}

header {
    padding: 2% 0% 0% 15%;
}

.container {
    display: none;
}

.header__menu {
    display: flex;
    gap: 80px;
}

.header__menu__link {
    font-family: var(--secundary-font);
    font-size: 1.4rem;
    font-weight: 600;
    color: var(--primary-emphasis-color);
    text-decoration: none;
}

.header__menu__link:hover {
    color: var(--secondary-emphasis-color);
}

.header__menu__button {
    display: none;
}

.display {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 3% 15%;
    gap: 70px;
}

.display__content__home {
    width: 50%;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.display__content__about {
    width: 70%;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.display__content__resume {
    width: 100%;
    display: flex;
    flex-direction: column;
}

.display__content__contact {
    width: 50%;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.display__content__projects {
    display: flex;
    flex-direction: row;
    gap: 20px;
}

.project__box__1,
.project__box__2,
.project__box__3 {
    display: flex;
    flex-direction: column;
    width: 50%;
    gap: 20px;
}

.project__box__1 img,
.project__box__2 img,
.project__box__3 img {
    width: 100%;
}

.display__social__links {
    margin-top: 30px;
    text-align: center;
}

.display__social__links__subtitle {
    font-family: var(--primary-font);
    font-weight: 400;
    font-size: 1.3rem;
    margin-bottom: 20px;
}

.display__content__subtitle {
    font-family: var(--primary-font);
    font-weight: 400;
    font-size: 1.3rem;
    margin-top: 30px;
    margin-bottom: 10px;
}

.project__name {
    font-family: var(--secundary-font);
    font-weight: 600;
    font-size: 1.4rem;
    margin-top: 20px;
}

.display__social__links__button {
    display: inline-block;
    border: 2.2px solid var(--secondary-hover-color);
    border-radius: 10px;
    padding: 10px;
    margin: 0 10px;
    transition: border-color 0.3s ease;
}

.display__social__links__button svg {
    height: 24px;
    fill: var(--primary-emphasis-color);
    display: flex;
    justify-content: center;
    align-items: center;
}

#social-links-contacts {
    margin-top: 50px;
}

.display__social__links__button img {
    display: block;
    height: 24px;
    color: var(--primary-emphasis-color);
}

.display__social__links__button:hover {
    background-color: var(--hover-color);
    border-color: var(--primary-emphasis-color);
}

.display__form {
    width: 50%;
    display: flex;
    flex-direction: column;
    margin-top: 80px;
}

#name,
#email,
#message {
    width: 100%;
    max-width: 500px;
    padding: 18px;
    box-sizing: border-box;
    margin-bottom: 16px;
    border-radius: 10px;
    border: 1.5px solid var(--main-bg-color);
    background-color: var(--hover-color);
    color: var(--text-color);
    font-family: var(--secundary-font);
    font-size: 1rem;
}

#name:focus,
#email:focus,
#message:focus {
    border-color: var(--secondary-emphasis-color);
    transition: border-color 0.3s ease;
    outline: none;
}

::placeholder {
    color: var(--text-color);
}

#message {
    resize: none;
    height: 300px;
    box-sizing: border-box;
}

.display__form__button {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    margin-top: -8px;
    width: 40%;
    text-align: center;
    border-radius: 10px;
    background-color: var(--main-bg-color);
    border: 1.5px solid var(--secondary-emphasis-color);
    font-size: 1rem;
    font-weight: 600;
    padding: 10px 0;
    text-decoration: none;
    color: var(--text-color);
    font-family: var(--secundary-font);
}

.display__form__button svg {
    height: 16px;
    fill: var(--text-color);
}

.display__form__button:hover {
    background-color: var(--secondary-emphasis-color);
}

.display__content__title {
    font-size: 2rem;
    font-family: var(--primary-font);
}

.display__content__resume__subtitle {
    font-family: var(--primary-font);
    font-size: 1.2rem;
    margin-top: 40px;
    margin-bottom: 10px;
    color: var(--primary-emphasis-color);
}

.title-emphasis {
    color: var(--secondary-emphasis-color);
}

.display__content__text {
    font-size: 1.4rem;
    font-family: var(--secundary-font);
}

.display__content__resume__text {
    font-size: 1.4rem;
    font-family: var(--secundary-font);
    margin-left: 20px;
}

.display__content__resume__text span {
    color: var(--secondary-emphasis-color);
    font-size: 30px;
}

.display__content__resume__text svg {
    height: 30px;
    fill: var(--text-color);
    margin-right: 5px;
}

.display__content__resume__text svg:hover {
    fill: var(--secondary-emphasis-color);
}

.display__content__text__about {
    font-size: 1.2rem;
    font-family: var(--secundary-font);
}

.technology__emphasis {
    color: var(--secondary-emphasis-color);
}

.display__content__buttons {
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    align-items: center;
    gap: 12px;
}

.display__content__buttons__subtitle {
    font-family: var(--primary-font);
    font-weight: 400;
    font-size: 1.3rem;
}

.display__content__buttons__links {
    display: flex;
    justify-content: center;
    gap: 16px;
    width: 50%;
    text-align: center;
    border-radius: 8px;
    border: 2px solid var(--primary-emphasis-color);
    font-size: 1.4rem;
    font-weight: 600;
    padding: 15px 0;
    text-decoration: none;
    color: var(--text-color);
    font-family: var(--secundary-font);
}

.display__content__buttons__links svg {
    height: 30px;
    fill: var(--primary-emphasis-color);
    margin-right: 5px;
}

.display__projects__links {
    display: flex;
    justify-content: center;
    gap: 8px;
    width: 25%;
    text-align: center;
    border-radius: 8px;
    border: 2px solid var(--secondary-hover-color);
    font-size: 1rem;
    font-weight: 600;
    padding: 8px 8px;
    text-decoration: none;
    color: var(--text-color);
    font-family: var(--secundary-font);
}

.display__content__resume__download {
    display: flex;
    justify-content: center;
    gap: 8px;
    width: 20%;
    text-align: center;
    border-radius: 8px;
    border: 2px solid var(--secondary-hover-color);
    font-size: 1rem;
    font-weight: 600;
    padding: 8px 8px;
    text-decoration: none;
    color: var(--text-color);
    font-family: var(--secundary-font);
}

.display__projects__links:hover {
    border-color: var(--secondary-emphasis-color);
    background-color: var(--hover-color);
}

.display__content__resume__download:hover {
    border-color: var(--primary-emphasis-color);
    background-color: var(--hover-color);
}

.display__projects__links svg {
    fill: var(--text-color);
    width: 20px;
}

.display__content__resume__download svg {
    fill: var(--text-color);
    width: 20px;
}

.display__content__buttons__links:hover {
    background-color: var(--hover-color);
}

.display__img__home {
    width: 50%;
}

.display__img__about {
    width: 30%;
}

footer {
    color: var(--main-bg-color);
    background-color: var(--secondary-emphasis-color);
    padding: 4px;
    text-align: center;
    font-family: var(--secundary-font);
    font-size: 0.8rem;
    font-weight: 400;
}

@media (max-width: 1200px) {
    header {
        padding: 4%;
    }

    .theme-slider {
        position: relative;
        margin-right: 15%;
    }

    .header__menu {
        justify-content: center;
        gap: 40px;
    }

    .display {
        flex-direction: column;
        padding: 5%;
        gap: 20px;
    }

    .display__content {
        width: 100%;
    }

    .display__content__home,
    .display__content__about,
    .display__content__resume,
    .display__content__contact {
        width: 100%;
    }

    #display__contact__title {
        text-align: center;
    }

    .display__form {
        width: 100%;
    }

    .contact__form {
        width: 100%;
        text-align: center;
    }

    .display__form__button {
        width: 50%;
        margin: 0 auto;
    }

    .display__img__home,
    .display__img__about {
        width: 50%;
        order: -1;
    }
}

@media (max-width: 768px) {
    header {
        padding: 4%;
    }

    .theme-slider {
        position: absolute;
        margin-right: 10%;
        margin-top: -5px;
    }

    .header__menu {
        flex-direction: column;
        gap: 10px;
        margin-top: 15px;
        align-items: flex-end;
    }

    #menu {
        display: none;
    }

    .header__menu__link {
        font-size: 1rem;
    }

    .container {
        display: flex;
        justify-content: flex-end;
    }

    #checkbox-menu {
        position: absolute;
        opacity: 0;
    }

    label {
        cursor: pointer;
        position: relative;
        display: block;
        height: 22px;
        width: 30px;
    }

    label span {
        position: absolute;
        display: block;
        height: 5px;
        width: 100%;
        border-radius: 30px;
        background: var(--primary-emphasis-color);
        transition: 0.25s ease-in-out;
    }

    label span:nth-child(1) {
        top: 0;
    }

    label span:nth-child(2) {
        top: 8px;
    }

    label span:nth-child(3) {
        top: 16px;
    }

    #checkbox-menu:checked+label span:nth-child(1) {
        transform: rotate(-45deg);
        top: 8px;
    }

    #checkbox-menu:checked+label span:nth-child(2) {
        opacity: 0;
    }

    #checkbox-menu:checked+label span:nth-child(3) {
        transform: rotate(45deg);
        top: 8px;
    }

    .display {
        flex-direction: column;
        padding: 5%;
        gap: 20px;
        margin-bottom: 30px;
    }

    .display__content__home,
    .display__content__about,
    .display__content__resume,
    .display__content__contact {
        width: 100%;
    }

    .display__content {
        width: 100%;
        margin-right: 12px;
    }

    #display__contact__title {
        text-align: center;
    }

    .display__content__resume__download {
        width: 30%;
        margin-left: 25%;
    }

    .display__content__projects {
        flex-direction: column;
        gap: 0px;
    }

    .display__content h2 {
        margin: 50px 0 20px 0;
    }

    .project__box__1,
    .project__box__2,
    .project__box__3 {
        display: flex;
        flex-direction: column;
        width: 100%;
    }

    .project__item {
        margin-bottom: 30px;
    }

    .project__item h3,
    .project__item p,
    .project__item a {
        margin-bottom: 10px;
    }

    .display__projects__links {
        width: 50%;
        align-items: center;
        border-color: var(--primary-emphasis-color);
    }

    .display__projects__links:hover {
        border-color: var(--primary-emphasis-color);
        background-color: var(--hover-color);
    }

    .display__form {
        width: 100%;
    }

    .contact__form {
        width: 100%;
        text-align: center;
    }

    .display__form__button {
        width: 94%;
        margin: 0 auto;
    }

    .display__img__home,
    .display__img__about {
        width: 100%;
        order: -1;
    }

    .display__content__buttons__links {
        width: 100%;
    }
}